<?php 

/********************************\ 
* 
*  Image Upload Script 
* 
*      By: Peredy
* 
\********************************/ 

// Create the main upload function 
function do_upload() { 
     
    // Create an array containing all valid upload file types for this script 
    $allowed_types = array( 
        "image/gif" => "gif", 
        "image/pjpeg" => "pjpg", 
        "image/jpeg" => "jpeg", 
        "image/png" => "png", 
        "image/tif" => "tif", 
        "image/tiff" => "tiff", 
        // Add more types here if you like 
    ); 
     
    // Check to see if the file type is in the allowed types array 
    if(!array_key_exists($_FILES['userfile']['type'], $allowed_types)) { 
        die("Invalid file type."); 
    } 
     
    // Set the maximum uploadable file size => 51200 = 50kb 
    $maxfilesize = 102400; 
     
    // Is the file larger than it is allowed to be? 
    if($_FILES['userfile']['size'] > $maxfilesize) { 
        die("File too large"); 
    } 
     
    // Where will the file be uploaded to? 
    $uploaddir = $_SERVER['DOCUMENT_ROOT'] . "/bschedule/bsadmin/flyers/"; 
     
    // What is the files temporary name? 
    $file = $_FILES['userfile']['tmp_name']; 
     
    // What is the files actual name? 
    $filename = $_FILES['userfile']['name']; 
         
    // Does this file already exist on the server? 
    if(file_exists($uploaddir . $filename)) { 
        die("A file with that name already exists on this server."); 
    } else { 
        // This file does not already exist, so copy it. 
        copy($file, $uploaddir.$filename) or die("Could not copy file."); 
    } 
     
    // All done! :-) 
    echo "Upload successful"; 
} 

?> 
<html> 
    <head> 
        <title>Upload Flyer</title> 
    </head> 
    
<body bgcolor="#000000" text="#FFFFFF" link="#CCCC00" vlink="#CCCC00" alink="#CCCCCC" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="36"> 
      <table width="100%" border="0" background="/bschedule/bsadmin/images/headerback.gif" cellspacing="0" cellpadding="0">
        <tr> 
          <td height="60" width="6%"><img src="/bschedule/bsadmin/images/logosmall.gif" width="181" height="58"></td>
          <td height="60" width="94%"> 
            <div align="center"><font face="Arial, Helvetica, sans-serif"><b><font color="#CCCC00">Concert 
              Schedule V: 1.2</font></b></font></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td height="2"><font color="#CCCC00" face="Arial, Helvetica, sans-serif">Flyer 
      add <br>
      <font color="#000000">. </font></font></td>
  </tr>
  <tr> 
    <td height="2"> 
      <div align="center"><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC"><b><font color="#DFDFDF">Add 
        a flyer.</font></b></font></div>
    </td>
  </tr>
</table>
<form method="post" enctype="multipart/form-data">
  <div align="center">
    <input type="hidden" name="action" value="do_upload">
    <input type="file" name="userfile">
    <br />
    <input type="submit" name="submit" value="Upload Image">
  </div>
</form> 
    </body> 
</html> 
<?php 
// If the form has been completed, execute the upload function (above). 
if($_POST['action'] == "do_upload") { 
    do_upload(); 
} 
?>